<template>
  <div class="dashboard-investments-page pt-3 pb-5">
    <h1 class="page-title">Investments</h1>
    <div class="mt-3">
      <div class="d-flex justify-content-end">
        <vs-button href="/user/dashboard/investments/new-investments" primary>
          <span class="me-2"> +</span>New Investment
        </vs-button>
      </div>
      <div class="row mt-3" v-if="!investmentHistory.length">
        <div class="col-sm-12 col-md-4">
          <h4 class="fw-bold">Total Live Balance</h4>
          <div class="mt-4">
            <h2 class="fw-bold">
              {{ activeBalance | formatPrice }}
            </h2>
          </div>
        </div>
        <div class="col-sm-12 col-md-8">
          <p class="fw-bold">Investment details</p>
          <div class="investment-details-card p-4">
            <p class="fst-italic text-center">
              You currently have no investment running. <br />
              Click the button above to apply for one
            </p>
          </div>
        </div>
        <div class="col-sm-12 col-md-6"></div>
      </div>

      <template v-else>
        <div class="row mt-3">
          <div class="col-sm-12 col-md-4">
            <h4 class="fw-bold">Total Live Balance</h4>
            <div class="mt-4">
              <h2 class="fw-bold">
                {{ activeBalance | formatPrice }}
              </h2>
            </div>
            <div class="mt-4">
              <div class="card rounded-3 mb-3">
                <a
                  href="/user/dashboard/investments/liquidate"
                  class="text-decoration-none"
                >
                  <div
                    class="d-flex justify-content-between align-items-center"
                  >
                    <div class="d-flex align-items-center">
                      <img
                        src="@/assets/images/lock.png"
                        alt="Lock"
                        class="me-2"
                      />
                      <div>
                        <p class="fw-bold m-0 text-dark">
                          Liquidate Investment
                        </p>
                        <p class="m-0 text-dark">Take out some money</p>
                      </div>
                    </div>
                    <NextIcon />
                  </div>
                </a>
              </div>
              <div class="card rounded-3 mb-3">
                <a
                  href="/user/dashboard/investments/history"
                  class="text-decoration-none"
                >
                  <div
                    class="d-flex justify-content-between align-items-center"
                  >
                    <div class="d-flex align-items-center">
                      <img
                        src="@/assets/images/lock.png"
                        alt="Lock"
                        class="me-2"
                      />
                      <div>
                        <p class="fw-bold m-0 text-dark">Transaction History</p>
                        <p class="m-0 text-dark">See what’s been happening</p>
                      </div>
                    </div>
                    <NextIcon />
                  </div>
                </a>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-8">
            <p class="fw-bold">Investment details</p>
            <div class="investment-card p-4">
              <div
                class="inv"
                v-for="(investment, i) in investmentHistory"
                :key="i"
              >
                <div>
                  <h3 class="fw-bold">
                    {{ investment.investmentPlan.name }}
                  </h3>
                  <h4>{{ investment.totalAmount | formatPrice }}</h4>
                </div>
                <div
                  class="mt-2 d-flex flex-wrap justify-content-between w-100"
                >
                  <div class="my-2">
                    <p class="m-0">Mature Date</p>
                    <p class="fw-bold">
                      {{ investment.maturityDate }}
                    </p>
                  </div>
                  <div class="my-2">
                    <p class="m-0">Initial Deposit</p>
                    <p class="fw-bold">
                      {{ investment.initialDeposit | formatPrice }}
                    </p>
                  </div>
                  <div class="my-2">
                    <p class="m-0">Interest Rate</p>
                    <p class="fw-bold">{{ investment.interestRate }}%</p>
                  </div>
                  <div class="my-2">
                    <p class="m-0">Accrued Interestssssss</p>
                    <p class="fw-bold">{{ investment.accruedInterest }}</p>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-6"></div>
        </div>
      </template>
    </div>
  </div>
</template>

<script>
import NextIcon from '@/assets/icons/next.svg?inline'
// import LockIcon from '@/assets/icons/lock.svg?inline'

export default {
  layout: 'dashboard',
  components: { NextIcon },
  data: () => ({
    page: 1,
    perPage: 10,
    totalPages: 1,
    contentLoading: false,
    transactions: [],
    activeBalance: [],
    investmentHistory: [],
  }),
  // async asyncData({ $axios }) {
  //   const activeBalance = await $axios.$get('/investment/user/active-balance')
  //   const investmentHistory = await $axios.$get(
  //     '/investment/user/history?page=1&limit=10'
  //   )
  //   // console.log(activeBalance)
  //   return {
  //     activeBalance: activeBalance.payload || 0,
  //     investmentHistory: investmentHistory.payload.data || [],
  //   }
  // },
  mounted() {},
  created() {
    this.fetchData()
  },
  methods: {
    async fetchData() {
      try {
        const activeBalance = await this.$axios.$get(
          '/investment/user/active-balance'
        )
        const investmentHistory = await this.$axios.$get(
          '/investment/user/history?page=1&limit=10'
        )

        this.activeBalance = activeBalance.payload || 0
        this.investmentHistory = investmentHistory.payload.data || []
      } catch (error) {
        console.log(error)
      }
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-investments-page {
  .investment-card {
    background: #ffffff;
    padding: 16px 20px;
    border-radius: 20px;
    min-height: 300px;
    // display: flex;
    // align-items: center;
    // justify-content: center;
  }
}
</style>
